
int ledPins[] = {2,3,4};

void setup(){

  for(int i=0; i<3; i++){
    pinMode(ledPins[i], OUTPUT);
  }

  allOff();

}

void loop(){

  allOn();
  delay(1000);
  allOff();
  delay(1000);

  //turns on one of the items in the array 
  //in this case, pin 4 which is the array's 2nd position
  turnOnOne(2); 
  
  //specify an item in the array and either turn it on or off
  //pin 4 in the array's 2nd position, 1 stands for "on", see function definition below
  turnOneOnOrOff(2,1);

} //END OF LOOP





void allOff(){

  for(int i=0; i<3; i++){
    digitalWrite(ledPins[i], LOW);
  } 

}


void allOn(){

  for(int i=0; i<3; i++){
    digitalWrite(ledPins[i], HIGH);
  } 

}

